/* assign: evaluation */

    var a = 5;  
    var b, c;

    b = (a * 5);  
    b = (c = b/2);

    b = a *= 5;
    c = b/2;

/* semicolon: error */

    a = 15; b = a*2
    a = 20; b = (c = a + 5)*2

/* semicolon: mistake */

/* Number: age */

    let CurrentYears = 2022;
    let YearOfBirth;
    let Age = prompt("Введите ваш возраст","");
    YearOfBirth = CurrentYears - Age;
    alert (YearOfBirth + " год рождения");


/* Number: temperature */
    {
    let Farengeit = 32;
    let Coefficient = 1.8;
    let Result;
    let Celsiy = prompt("° C","");
    Result = (Celsiy * Coefficient) + Farengeit;
    alert (Result + "° C");
    }    
/* Number: divide */

    let Result;
    let Number1 = prompt("Введите число №1","");
    let Number2 = prompt("Введите число №2","");
    Result = Number1 / Number2
    alert (Math.floor(Result));

/* Number: odd */

    let NumberAll = prompt("Введите число:");
    if (NumberAll = Number(NumberAll)){
        true;
    }
    else {
        alert("Введите число!");
    }


/* String: greeting */

    let Name = prompt("Назовите Ваше Имя")
    alert("Приветствую, " + Name)

/* String: lexics */

    let question = prompt("Висит груша, нельзя скушать?");
    if (question.indexOf("Лампочка") == true ) {
        alert("Верно!")
    }
    else {
        alert("Неправильный ответ");
    }


/* confirm */

    let answer = confirm("Нажмите ОК")
    typeof(confirm)

/*  Boolean */

    {
    let age = confirm("Вам есть 18?") /* есть нажать Ок, будет true, если нажать Отмена - false */
    }

/* Boolean: if */

    {
        let age = confirm("Вам есть 18?");
        if(age === true){
            let ageOld = "Добро пожаловать!"
            alert(ageOld)
        }
        else {
            let ageYoung = "Вам стоит подрасти!"
            alert(ageYoung)
        }
        
    }

/* Array: booleans */

    let Array = [age, ageOld, ageYoung]

/* Array: plus */

    let Array2 = [10, 20, 25, 40]
    Array2[2] = Array2[0] + Array2[1]
    alert(Array2[2])

/* Array: plus string */

    let Array3 = ["Привет, ", "Антон, ", "как дела?", "Пока"]
    Array3[3] = Array3[0] + Array3[1] + Array3[2]
    alert(Array3[3])

/* Object: real */

    let ballroomDance = {
        first: "Slow Waltz",
        second: "Tango",
        third: "Viennese Waltz",
        fourth: "Slow Fox",
        fifth: "Quickstep"
    }

/* Object: change */

        ballroomDance.first = "Cha-Cha"
        ballroomDance.second = "Samba"
        ballroomDance.third = "Rumba"
        ballroomDance.fourth = "Paso"
        ballroomDance.fifth = "Jive"

/* Comparison if */

        var age = +prompt("Сколько вам лет?","");
        if (age >= 0 && age <= 18){
            alert("школьник");
        }
        else if (age >= 19 && age < 30){
            alert("молодеж");
        }
        else if (age >= 31 && age < 45){
            alert("зрелость");
        }
        else if (age >= 46 && age < 60){
            alert("закат");
        }
        else if (age > 60){
            alert("как пенсия?");
        }
        else { (age < 0)
            alert("то ли киборг, то ли KERNESS"); 
        }

/* Comparison: Size */

        let country = prompt("Какой размер обуви вы хотите узнать: Европейский/США?")
        let size = prompt("Введите длину вашей стопы в см.")
        if (country == "США"){ 
        if(size == "24.5"){
            alert("7US")
        }else if(size == "25") {
            alert("7.5US")
        }
        else if(size == "25.5") {
            alert("8US")
        }
        else if(size == "26") {
            alert("9US")
        }
        else if(size == "26.5") {
            alert("9.5US")
        }
        else if(size == "27") {
            alert("10US")
        }
        else if(size == "27.5") {
            alert("10.5US")
        }
        else if(size == "28") {
            alert("11US")
        }
        else if(size == "28.5") {
            alert("11.5US")
        }
        else if(size == "29") {
            alert("12US")
        }
        else {
            alert("Данных размеров не существует.")
        }
    }else if(country == "Европейский") {
        if(size == "24.5"){
            alert("40")
        }else if(size == "25") {
            alert("40.5")
        }
        else if(size == "25.5") {
            alert("41")
        }
        else if(size == "26") {
            alert("42")
        }
        else if(size == "26.5") {
            alert("42.5")
        }
        else if(size == "27") {
            alert("43")
        }
        else if(size == "27.5") {
            alert("43.5")
        }
        else if(size == "28") {
            alert("44")
        }
        else if(size == "28.5") {
            alert("44.5")
        }
        else if(size == "29") {
            alert("45")
        }
        else {
            alert("Данных размеров не существует.")
        }
    }

/* Comparison: object */

        let size1 = {
        length: "24.5",
        eur: "40",
        usa: "7"
        }
    
        let size2 = {
        length: "25",
        eur: "40.5",
        usa: "7.5"
        }
    
        let size3 = {
        length: "25.5",
        eur: "41",
        usa: "8"
        }
    
        let size4 = {
        length: "26",
        eur: "41",
        usa: "9"
        }
    
        let size5 = {
        length: "26.5",
        eur: "42.5",
        usa: "9.5"
        }
    
        let size6 = {
        length: "27",
        eur: "43",
        usa: "10"
        }
    
        let size7 = {
        length: "27.5",
        eur: "43.5",
        usa: "10.5"
        }
    
        let size8 = {
        length: "28",
        eur: "44",
        usa: "11"
        }
    
        let size9 = {
        length: "28.5",
        eur: "44.5",
        usa: "11.5"
        }
    
        let size10 = {
        length: "29",
        eur: "45",
        usa: "12"
        }

/* Ternary */

        let answer1 = confirm("Какого вы пола?") ? "Вы мужчина?" : "Вы женщина?";
        alert(answer);

/* Синий пояс Number: flats */

    let floor = 5;
    let apartments = 6;
    let porch = 10;
    let massege = +prompt("Введите номер квартиры:")
    let resultPorch = (massege - 1) / 30 + 1;
    let resultFloor = (massege - 1) % 30 / 6 + 1;
    alert("Ваша квартира находится в " + Math.floor(resultPorch) + " подъезде, на " + Math.floor(resultFloor) + " этаже.")
